petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatRegisterAll

Registers all of the matrix types in PETSc

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRegisterAll(void)

Not Collective

### Keywords

KSP, register, all

### See Also

MatRegisterDestroy()

Level:advanced
Location:src/mat/interface/matregis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages